Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class BindingInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.AbstractDescriptionElement
              org.apache.cxf.service.model.BindingInfo

All Implemented Interfaces:
  Extensible, NamedItem

    public class BindingInfo

extends AbstractDescriptionElement
implements NamedItem

Constructor Summary
`BindingInfo(ServiceInfo service, String bindingId)`

Method Summary
`void` | `addOperation(BindingOperationInfo operation)` Adds an operation to this service.
`BindingOperationInfo` | `buildOperation(QName opName, String inName, String outName)`
`String` | `getBindingId()`
`InterfaceInfo` | `getInterface()`
`QName` | `getName()`
`BindingOperationInfo` | `getOperation(OperationInfo oi)`
`BindingOperationInfo` | `getOperation(QName oname)` Returns the operation info with the given name, if found.
`Collection<BindingOperationInfo>` | `getOperations()` Returns all operations for this service.
`ServiceInfo` | `getService()`
`void` | `removeOperation(BindingOperationInfo operation)` Removes an operation from this service.
`void` | `setName(QName n)`
`String` | `toString()`

Methods inherited from class org.apache.cxf.service.model.AbstractDescriptionElement
`getDescription, setDescription`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BindingInfo

    public BindingInfo(ServiceInfo service,
                       String bindingId)

Method Detail

### getInterface

    public InterfaceInfo getInterface()

### getService

    public ServiceInfo getService()

### getBindingId

    public String getBindingId()

### setName

    public void setName(QName n)

### getName

    public QName getName()

  Specified by:
    `getName` in interface `NamedItem`

### buildOperation

    public BindingOperationInfo buildOperation(QName opName,
                                               String inName,
                                               String outName)

### addOperation

    public void addOperation(BindingOperationInfo operation)

  Adds an operation to this service.

  Parameters:
    `operation` - the operation.

### removeOperation

    public void removeOperation(BindingOperationInfo operation)

  Removes an operation from this service.

  Parameters:
    `operation` - the operation.

### getOperation

    public BindingOperationInfo getOperation(QName oname)

  Returns the operation info with the given name, if found.

  Parameters:
    `oname` - the name.
  Returns:
    the operation; or `null` if not found.

### getOperations

    public Collection<BindingOperationInfo> getOperations()

  Returns all operations for this service.

  Returns:
    all operations.

### getOperation

    public BindingOperationInfo getOperation(OperationInfo oi)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF